Page MenuHomePhabricator

allow duplicate ip adresses on different interfaces
Closed, ResolvedPublicBUG

Description

hi,

I wanted to build something like:

https://support.cumulusnetworks.com/hc/en-us/articles/202796476-OSPF-Unnumbered-Sample-Configurations

But the duplicate address check in vyos breaks it ...

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0-H4
Why the issue appeared?
Will be filled on close

Related Objects

Event Timeline

rherold created this task.Mar 21 2019, 3:23 PM
c-po added a subscriber: c-po.Mar 21 2019, 4:20 PM

Is this related to T20 ?

seems so but:

Linux kernel allowed this cause there are many valid setups for it (network namespaces, vrf, unnumbered interface and so on). So for me this is a bug not a feature.
It is not fixed. doing it manual it works like a charme.

runar added a subscriber: runar.Mar 21 2019, 4:42 PM

As i see it this is a fundamental change and should not be allowed into 1.2 LTS but it migth be added to 1.3 (just a opinion, not a decition)

c-po added a comment.Mar 21 2019, 5:23 PM

+1 on having this in 1.3 and not 1.2

c-po changed the task status from Open to In progress.Mar 21 2019, 5:23 PM
c-po assigned this task to rherold.
In T1309#34455, @runar wrote:

As i see it this is a fundamental change and should not be allowed into 1.2 LTS but it migth be added to 1.3 (just a opinion, not a decition)

I don't see here an fundamental change. It is one line code change see pull request.
I't don't change any configuration, it don't break any configuration, no syntax change.

c-po added a comment.Mar 21 2019, 6:44 PM

Lets test it first :)

pasik added a subscriber: pasik.Mar 23 2019, 9:20 PM

@dmbaturin can you explain why we schedule it to the next release and not to 1.2.1 for example? Are there any policies?

From my point of view:

  1. It don't break any older setups
  2. No syntax change
  3. But allow to use existing features

As far as I can see it is included in 1.2.1 so we can close this or?
If yes I will submit a config example for ospf ip unnumbered that uses it

c-po added a comment.May 30 2019, 9:14 PM

Its only in the current branch for rolling, not in 1.2.1 crux - but can be backported

c-po changed the task status from In progress to Backport candidate.May 30 2019, 9:17 PM
c-po triaged this task as Normal priority.
c-po claimed this task.May 30 2019, 9:21 PM
c-po closed this task as Resolved.Jun 1 2019, 7:45 AM
c-po moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.2) board.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.